#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
;#SingleInstance force

symids:="AUDCAD,AUDCHF,AUDJPY,AUDNZD,AUDUSD,CADCHF,CADJPY,CHFJPY,EURAUD,EURCAD,EURCHF,EURGBP,EURJPY,EURNZD,EURUSD,GBPAUD,GBPCAD,GBPCHF,GBPJPY,GBPNZD,GBPUSD,NZDCAD,NZDCHF,NZDJPY,NZDUSD,USDCAD,USDCHF,USDJPY"
suffix:=""
r1:=1.0
r2:=1.0
pgs:=50

DisplayGUI:
; Gui window..........
Gui, Font,, Verdana
Gui, Add, Text, x10 y10, Symbol IDs
Gui, Add, Text, x10 yp+73, Symbol suffix
Gui, Add, Text, xp yp+46, Timeframes
Gui, Add, Text, xp yp+54, Delay between timeframes (seconds)
Gui, Add, Text, xp yp+30, Delay between symbols (seconds)
Gui, Add, Text, x400 yp, Amount of Historical data (pages)
Gui, Add, Edit, vsymids x150 y10 w700 r4, %symids%
Gui, Add, Edit, vsuffix xp yp+70 w100, %suffix%
Gui, Add, Checkbox, vt1 x150 yp+50 Checked, M1
Gui, Add, Checkbox, vt2 xp+60 yp Checked, M5
Gui, Add, Checkbox, vt3 xp+60 yp Checked, M15
Gui, Add, Checkbox, vt4 xp+60 yp Checked, M30
Gui, Add, Checkbox, vt5 xp+60 yp Checked, H1
Gui, Add, Checkbox, vt6 xp+60 yp Checked, H4
Gui, Add, Checkbox, vt7 xp+60 yp Checked, D1
Gui, Add, Checkbox, vt8 xp+60 yp Checked, W1
Gui, Add, Checkbox, vt9 xp+60 yp Checked, MN
Gui, Add, Edit, vr1 x250 yp+50 w100 h20, %r1%
Gui, Add, Edit, vr2 xp yp+30 w100 hp, %r2%
Gui, Add, Edit, vpgs x620 yp w50 hp, %pgs%
Gui, Add, Button, x320 yp+50 w100 h30 Default, OK
Gui, Add, Button, wp hp xp+120 yp, Exit
Gui, Show, AutoSize Center, Load MT4 price history  (for selected symbols; all timeframes)
return

GuiClose:
GuiEscape:
ButtonExit:
ExitApp

ButtonOK:
Gui, Submit, NoHide
str:=r1 "," r2 "," suffix "," pgs "," symids
SplashTextOn, 600, 30, Load MT4 price history, Now go to MT4, open a blank chart, and then press Ctrl-J
return

^j::
  arr      := StrSplit(str,",")
  rest     := arr[1]*1000
  ccyrest  := arr[2]*1000
  suffix   := arr[3]
  pageups  := arr[4]
  Send, {NumpadSub 6}
  Loop % arr.MaxIndex()-4  {
    ccy:=arr[A_Index+4] suffix
	pct:= "(" A_Index " of " arr.MaxIndex()-4 ")"
    SplashTextOn, 600, 30, Load MT4 price history, Processing .... %ccy%  %pct%
    if (t1=1) {
      Send, {enter}{bs 15}%ccy%,M1{enter}{end}{pgup %pageups%}     ; increase number of pgup to increase amount of historical data loaded
      Sleep, %rest%
    }
    if (t2=1) {
      Send, {enter}{bs 15}%ccy%,M5{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    if (t3=1) {
      Send, {enter}{bs 15}%ccy%,M15{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    if (t4=1) {
      Send, {enter}{bs 15}%ccy%,M30{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    if (t5=1) {
      Send, {enter}{bs 15}%ccy%,H1{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    if (t6=1) {
      Send, {enter}{bs 15}%ccy%,H4{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    if (t7=1) {
      Send, {enter}{bs 15}%ccy%,D1{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    if (t8=1) {
      Send, {enter}{bs 15}%ccy%,W{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    if (t9=1) {
      Send, {enter}{bs 15}%ccy%,MN{enter}{end}{pgup %pageups%}
      Sleep, %rest%
    }
    Sleep, %ccyrest%
  }
  SplashTextOff,
  MsgBox, , All done!!, Click OK to end
  ExitApp  
  return  

;=================================================================
; #Include Extensible Functions.ahk
